$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.100.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.100.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EC127FF9FDA8EA05F7E2743758A6C7A6CDF8BE5A6C1D504F8082E621B505A1FD'
  checksumType = 'sha256'
  checksum64 = 'EC127FF9FDA8EA05F7E2743758A6C7A6CDF8BE5A6C1D504F8082E621B505A1FD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.100-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
